#!/bin/bash

now=$(date +'%R')
echo ${now} Inicia el proceso.

FILE_DIR="/storage/scripts"
URL="https://codeload.github.com/tvalacarta/pelisalacarta/zip/master"

s=$(curl -sI $URL | grep Content-Length | cut -d ' ' -f 2)
echo El fichero de git pesa: $s

s2=$(ls -la $FILE_DIR/pelis.zip.old | awk '{ print $5}') 
echo El fichero local pesa: $s2

if [ "$s" != "$s2" ]; then  

 echo Nos traemos el fichero
 curl -o ${FILE_DIR}/pelis.zip $URL

 echo Unzip del fichero
 unzip -o ${FILE_DIR}/pelis.zip pelisalacarta-master/python/main-classic/* -d ${FILE_DIR} > /dev/null

 echo copia el plugin 
 cp -r ${FILE_DIR}/pelisalacarta-master/python/main-classic/* /storage/.kodi/addons/plugin.video.pelisalacarta/ > /dev/null
 
 echo renombra origen
 mv $FILE_DIR/pelis.zip $FILE_DIR/pelis.zip.old
fi 

now=$(date +'%R')
echo ${now}  proceso acabado
